﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Charting;
using System.Drawing;
using System.Globalization;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable table = new DataTable();

        DataColumn column = new DataColumn("Y", typeof(int));
        DataColumn column1 = new DataColumn("Y1", typeof(int));
        DataColumn column2 = new DataColumn("Z", typeof(double));

        table.Columns.Add(column);
        table.Columns.Add(column1);
        table.Columns.Add(column2);

        for (int i = 1; i <= 12; i++)
        {
            DataRow row = table.NewRow();
            row[0] = 2;
            row[1] = 56;
            row[2] = 5;

            table.Rows.Add(row);
        }

        RadChart1.PlotArea.YAxis.Appearance.MinorGridLines.Visible = true;

        //Data binding RadChart.
        RadChart1.DataSource = table;
        RadChart1.DataBind();
    }

    protected void ItemDataBound(object sender, ChartItemDataBoundEventArgs e)
    {
        e.SeriesItem.ActiveRegion.Tooltip = "Tooltip";
    }
}